/*****************************************************************************/
/*	aisa45w.h																 */
/*																			 */
/*	aISA-A45															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1998/11/09															 */
/*																			 */
/*****************************************************************************/

#ifndef __AISA45W_H__
#define __AISA45W_H__

#include "aisa45.h"

#ifdef __cplusplus
extern "C"{
#endif

#define AISA45_DLL_NAME	  _T("aisa45.dll")	// DLL
#define AISA45_ERR_WRAPDLL ((DWORD)-1)		// ׯ߰֐װ

BOOL Aisa45wDllOpen();						// DLL ۰
BOOL Aisa45wDllClose();						// DLL ۰
BOOL Aisa45wGetVersion(PDWORD pdwDllVersion, PDWORD pdwDriverVersion);	// aISA-A45 DLL,ײންޮݔԍ擾
BOOL Aisa45wCreate(PWORD pwLogSlot, HWND hwnd, UINT uWMBase);			// aPCI-A45̔Cӂ޲̎gp錾
BOOL Aisa45wClose(WORD wLogSlot);			// CӂaISA-A45̎gpJ
BOOL Aisa45wGetResource(WORD wLogSlot, PAISA45R pResInfo);				// ؿ擾
BOOL Aisa45wSetMode(WORD wLogSlot, PAISA45MODE pcmode);					// ݸޓӰސݒ
BOOL Aisa45wStartSampling(WORD wLogSlot);								// ݸފJn
BOOL Aisa45wStopSampling(WORD wLogSlot);								// ݸޒ~
BOOL Aisa45wGetSamplingStatus(WORD wLogSlot, PDWORD pcwNumData, PDWORD pdwStatus);	// ݸޏԎ擾
BOOL Aisa45wGetData(WORD wLogSlot, DWORD cwNumData, PWORD pwData);		// ݸް擾
BOOL Aisa45wInPort(WORD wLogSlot, PBYTE pbInValue);	// Cӂ߰Ăް
DWORD Aisa45wGetLastError(WORD wLogSlot);								// aISA-A45̴װ

#ifdef __cplusplus
}
#endif

#endif // __AISA45W_H__
